QGIS Application - Bug report #18308
Invalid WFS-Transaction Update request
2018-03-02 11:27 AM - Martin Kofahl

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.0.0

Operating System: Windows x86_64
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 26199

Description

An WFS-T update request generated with QGIS 3.0.0 uses the xml attribute name "typeNames" in the "Update" tag. According to the

specification, "typeName" should be used for updates.

History

#1 - 2018-03-03 06:34 PM - Giovanni Manghi
- Status changed from Open to Feedback

Does 2.18 behave the same way?

#2 - 2018-03-04 12:31 PM - Martin Kofahl
- Status changed from Feedback to Open

No, 2.18 correctly uses "typeName" as xml attribute name. However, 2.18 fails because auf #17945 (also relevant for 3.0).

#3 - 2018-05-31 12:16 PM - Even Rouault

- Resolution set to fixed/implemented

| believe this should be fixed now in master since https:/github.com/qgis/QGIS/commit/7511d1ffdb867f3bd19bf0697afa5c49ae6b621d

#4 - 2018-09-21 11:00 PM - Even Rouault
- Status changed from Open to Closed
